module.exports = {
  create: {
    requestBody: [
      "order_no",
      "!owner",
      "principal",
      "!client",
      "rq_send_time",
      "send_time",
      "rq_arrive_time",
      "arrive_time",
      "pre_money",
      "goods",
      "split",
      "goods_bill",
      "in_bill",
      "out_bill",
      "is_js",
      "goods_status",
      "status",
      "remark",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "order_no",
      "!owner",
      "principal",
      "!client",
      "rq_send_time",
      "send_time",
      "rq_arrive_time",
      "arrive_time",
      "pre_money",
      "goods",
      "split",
      "goods_bill",
      "in_bill",
      "out_bill",
      "is_js",
      "goods_status",
      "status",
      "remark",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        order_no: "%order_no%",
        owner: "owner",
        principal:"principal",
        client: "client",
        "rq_send_time@start": "rq_send_time@start",
        "rq_send_time@end": "rq_send_time@end",
        "rq_arrive_time@start": "rq_arrive_time@start",
        is_js: "is_js",
        status: "status",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
